Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.spi.spreadsheet.core
Class EMFFormsSpreadsheetRenderTarget

    java.lang.Object
      org.eclipse.emfforms.spi.spreadsheet.core.EMFFormsSpreadsheetRenderTarget

    public final class EMFFormsSpreadsheetRenderTarget

extends Object

Helper class which describes where a value should be rendered to.

Author:
  Eugen Neufeld

Constructor Summary
`EMFFormsSpreadsheetRenderTarget(String sheetName, int row, int column)` Default Constructor.

Method Summary
`int` | `getColumn()` Retrieve the current column id.
`int` | `getRow()` Retrieve the row id.
`String` | `getSheetName()` Retrieve the sheet name.
`void` | `setColumn(int column)` Set the column id.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFFormsSpreadsheetRenderTarget

    public EMFFormsSpreadsheetRenderTarget(String sheetName,
                                           int row,
                                           int column)

  Default Constructor.

  Parameters:
    `sheetName` - The name of the sheet
    `row` - The row id to render on
    `column` - The column id to render on

Method Detail

### getColumn

    public int getColumn()

  Retrieve the current column id.

  Returns:
    The column id

### setColumn

    public void setColumn(int column)

  Set the column id.

  Parameters:
    `column` - The column id to set

### getSheetName

    public String getSheetName()

  Retrieve the sheet name.

  Returns:
    The sheet name

### getRow

    public int getRow()

  Retrieve the row id.

  Returns:
    The row id

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.